org.apache.sling.resourcebuilder.impl

## Class MapArgsConverter

- java.lang.Object
- - org.apache.sling.resourcebuilder.impl.MapArgsConverter

    public class MapArgsConverter
    extends Object

Convert arguments which are a list of Object to a Map, used to simplify our builder's syntax.

### Constructor Summary

Constructors
Constructor and Description
`MapArgsConverter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static @NotNull Map<String,Object>` `toMap(Object... args)` Convert an args list to a Map

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapArgsConverter

    public MapArgsConverter()

### Method Detail

#### toMap

    @NotNull
    public static @NotNull Map<String,Object> toMap(@NotNull
                                                              Object... args)

Convert an args list to a Map